Skip to main content

Create a new user

Create a new user. Only administrators are allowed to create users.

Request Body — REQUIRED

User object to be created.

id string — REQUIRED
name string
email string
type string

Possible values: [app, user, team, report]

role string

Possible values: [admin, user, observer, service]

json string
version string
active boolean
assetCreatedDate date-time
assetUpdatedDate date-time
createdTime int64
updatedTime int64
createdBy string
updatedBy string
owner string
tags string[]
Responses
201

User created successfully.

Schema — OPTIONAL
id string
name string — OPTIONAL
email string — OPTIONAL
type string — OPTIONAL

Possible values: [app, user, team, report]

role string — OPTIONAL

Possible values: [admin, user, observer, service]

json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
400

Invalid user data or request.

403

Not authorized to create users.